AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
AudioMiniMax Audio

Upload an audio sample

Upload an audio sample for voice cloning or similarity enhancement.

Upload an audio sample and obtain its file_id. Voice-cloning samples and auxiliary audio used to improve similarity use different purpose values.

POST/v1/minimax/files/upload

Upload a voice-cloning sample or a prompt audio file that improves voice similarity, and obtain the file ID required by the voice-cloning API.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization header.

In: header

Request Body

multipart/form-data

Upload the audio file as multipart form data. Let the client library generate the Content-Type boundary automatically.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json